> For the complete documentation index, see [llms.txt](https://docs.vrsoft.com.br/vrmaster/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.vrsoft.com.br/vrmaster/equipamentos-homologados/instalacao-impressora-sweda-si-300s-windows/manual-do-sistema-vr-setup-pdv-instalacao-e-configuracao/instalacao-pdv/cadastro-de-biometria/manual-do-sistema-vr-pdv-ferramentas/manual-do-sistema-vr-jadeconnect.md).

# Acesse o manual completo do JADE CONNECT

## **INTRODUÇÃO**

O VRJadeConnect é uma integração com o Datalogic Jade X7 via web service, a comunicação é através do middleware da Datalogic com o VRJadeConnect através das requisições de iniciar venda, informações de produtos e finalização de venda.

## **CONFIGURAÇÃO**

O VRJadeConnect requer algumas configurações sejam feitas para se comunicar com o sistema de mensageria RabbitMQ. No **vr.properties** faça as seguintes adições/alterações.

* spring.rabbitmq.host= IP\_DO\_SERVIDOR\_RABBITMQ - Por padrão "127.0.0.1".
* spring.rabbitmq.port= PORTA\_DO\_SERVIDOR - Por padrão "5672".
* spring.rabbitmq.username= USUARIO\_RABBITMQ - Por padrão "guest".
* spring.rabbitmq.password= SENHA\_RABBITMQ - Por padrão "guest".

É Necessário configurar o JadeWebAdmin, no caso o responsável pelo sistema da Datalogic na loja. Basicamente configurar os campos da integração POS do Terminal Jade. Segue as alterações nos campos.

* Ean = itemCode
* Count = quantity
* Price = itemPrice
* 2°Ean = itemCode
* Product = itemName
* 2°Price = itemPrice
* Amount = quantity
* 2°Sellid = id

![](/files/KY50sXMhs1Ph3bIW7ggO)

O VRPdv também precisa de configurações, logo será necessário inicializa o mesmo com as seguintes flags "-jade -config". Na aba RabbitMQ informe os parâmetros da mesma forma que foi configurado previamente. Na aba JadeConnect informe o terminal Jade para recuperar a venda.

## **FLUXO DE VENDA**

O VRPdv Self Jade possui o mesmo fluxo do VRPdv Self. [Fluxo de Compra](/vrmaster/equipamentos-homologados/instalacao-impressora-sweda-si-300s-windows/manual-do-sistema-vr-setup-pdv-instalacao-e-configuracao/instalacao-pdv/cadastro-de-biometria/manual-do-sistema-vr-pdv-ferramentas/manual-do-sistema-vr-pdv-ferramentas-self-checkout/manual-do-sistema-vr-pdv-ferramentas-self-checkout-fluxo-compra.md). Porem há alguns recursos exclusivos que estão listados abaixo.

**Cartão, POS e Dinheiro**

No VRPdv Self Jade é possível pagar com Dinheiro, POS e TEF como já acontece no Self Padrão. Dinheiro e POS é necessário informar o valor informado via teclado, pois é somente para a operadora do Jade Informar. ![](/files/A5in4nVAQm8jDXywZwBl)

**Valor personalizado para finalizadora TEF**

No VRPdv Self Jade é possível informar o valor a ser pago na Finalizadora TEF assim sendo possível pagar com mais de 1 cartão. ![](/files/nCUK93wngf1mNjdeRHNp)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.vrsoft.com.br/vrmaster/equipamentos-homologados/instalacao-impressora-sweda-si-300s-windows/manual-do-sistema-vr-setup-pdv-instalacao-e-configuracao/instalacao-pdv/cadastro-de-biometria/manual-do-sistema-vr-pdv-ferramentas/manual-do-sistema-vr-jadeconnect.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
